import Location from "./location";

describe("entity location", () => {
  it("can be created", () => {
    const name = "Bourg-Achard";
    const lat = 49.443232;
    const lon = 1.099971;

    const location = new Location(name, lat, lon);

    expect(location.id).not.toBeUndefined();
    expect(location.name).toEqual(name);
    expect(location.lat).toEqual(lat);
    expect(location.lon).toEqual(lon);
  });
});
